package com.retmix.volga.storage.services;

import com.retmix.volga.shared.dto.MessageDTO;
import com.retmix.volga.shared.models.User;
import com.retmix.volga.storage.dto.DirDTO;
import com.retmix.volga.storage.dto.UpsertDirDTO;

import java.util.List;

public interface DirectoryService {
    DirDTO getRoot(User user);

    DirDTO getById(User user, Long id);

    List<DirDTO> getSubsidiaryDirs(User user, Long parentId);

    DirDTO create(User user, UpsertDirDTO data);

    DirDTO update(User user, UpsertDirDTO data, Long dirId);

    MessageDTO delete(User user, Long dirId);

}
