package com.retmix.volga.shared.dto.admin;

import com.retmix.volga.utils.validators.UsernameNotExist;
import jakarta.validation.constraints.Email;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class UpsertUserDTO {
    @NotNull
    @UsernameNotExist
    @Email
    private String email;
    @NotNull
    private String password;
}
