package com.retmix.volga.storage.services;

import com.retmix.volga.shared.dto.MessageDTO;
import com.retmix.volga.shared.models.User;
import com.retmix.volga.storage.dto.files.FileDTO;
import com.retmix.volga.storage.dto.files.GetFileDTO;
import com.retmix.volga.storage.dto.files.UpsertFileDTO;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

public interface FileService  {
    FileDTO getFileId(User user, GetFileDTO data, Long id);
    List<FileDTO> getFromDir(User user, Long idDir);

    FileDTO create(User user, UpsertFileDTO data);

    FileDTO update(User user, UpsertFileDTO data, Long id);

    MessageDTO delete(User user, Long id);
}
